## GtkScrollbar GtkScrollbar |

## Style Properties

gboolean | fixed-slider-length | Read
gboolean | has-backward-stepper | Read
gboolean | has-forward-stepper | Read
gboolean | has-secondary-backward-stepper | Read
gboolean | has-secondary-forward-stepper | Read
int | min-slider-length | Read

## Types and Values

struct | GtkScrollbar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkRange
                        ╰── GtkScrollbar
                            ├── GtkHScrollbar
                            ╰── GtkVScrollbar

## Implemented Interfaces

GtkScrollbar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

## Types and Values

### struct GtkScrollbar

    struct GtkScrollbar;

## Style Property Details

### The `“fixed-slider-length”` style property

      “fixed-slider-length”      gboolean

Don't change slider size, just lock it to the minimum length.

Owner: GtkScrollbar

Flags: Read

Default value: FALSE

### The `“has-backward-stepper”` style property

      “has-backward-stepper”     gboolean

Display the standard backward arrow button.

Owner: GtkScrollbar

Flags: Read

Default value: TRUE

### The `“has-forward-stepper”` style property

      “has-forward-stepper”      gboolean

Display the standard forward arrow button.

Owner: GtkScrollbar

Flags: Read

Default value: TRUE

### The `“has-secondary-backward-stepper”` style property

      “has-secondary-backward-stepper” gboolean

Display a second backward arrow button on the opposite end of the scrollbar.

Owner: GtkScrollbar

Flags: Read

Default value: FALSE

### The `“has-secondary-forward-stepper”` style property

      “has-secondary-forward-stepper” gboolean

Display a second forward arrow button on the opposite end of the scrollbar.

Owner: GtkScrollbar

Flags: Read

Default value: FALSE

### The `“min-slider-length”` style property

      “min-slider-length”        int

Minimum length of scrollbar slider.

Owner: GtkScrollbar

Flags: Read

Allowed values: >= 0

Default value: 21